[Domains] Verify DNS zone activation status
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/domains/{id}/dns/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"nameservers": [
"<string>"
],
"status": "<string>",
"is_verified": true
}Domains
[Domains] Verify DNS zone activation status
Check the activation status of the domain’s DNS zone. This queries the DNS provider to verify if the zone has been properly activated and nameservers are correctly delegated. Returns the current verification status.
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
domains
/
{id}
/
dns
/
verify
[Domains] Verify DNS zone activation status
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Path Parameters
The unique identifier (UUID) of the domain
⌘I

